--
-- This is the script to setup the admins table in the Ubuland database
-- Author: David Futcher (bobbo) <bobbocanfly@gmail.com>
--
-- This table lets the auth system know which users are admins. It is easier
-- (and uses less space on disk) to record admins in here, instead of working
-- out which users have an admin switch turned on in `ubuland`.`users`. 
--
-- PLEASE DO NOT CHANGE BEFORE CONSULTING OTHER DEVS AS CHANGES HERE MAY
-- BREAK LOGIN, LOGOUT AND REGISTRATION
--

USE `ubuland`;

CREATE TABLE IF NOT EXISTS `admins` (
  `id` varchar(32) NOT NULL, -- TODO: Add foreign key
  `active` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

