<?php

// basic database abstraction layer, which currently acts as a simple wrapper for the default PHP Mysql functions. As well as providing protection from SQL injection via the use of an escaping function.

// This is designed to be very minimalistic, so things like selecting databases have to be done via a query() call.

// YOU MUST MANUALLY RUN clean() ON ALL USER INPUT BEFORE INCLUDING IT IN A CALL TO query()

// Needs lots of testing

class db
{
    public $queries = 0;
    public $last_query = null;
    public $connected = false;

    protected $hostname = null;
    protected $username = null;
    protected $password = null;

    public function setHostname($hostname)
    {
        $this->hostname = $hostname;
    }

    public function setUsername($user)
    {
        $this->username = $user;
    }

    public function setPassword($password)
    {
        $this->password = $password;
    }

    public function getHostname()
    {
        return $this->hostname;
    }

    public function getUsername()
    {
        return $this->username;
    }

    public function getPassword()
    {
        return $this->password;
    }

    public function connect()
    {
        if ($this->connected === false)
        {
            mysql_connect($this->host, $this->username, $this->password) or die(mysql_error());
            $this->connected = true;
            return true;
        }
        else
        {
            return false;
        }
    }

    public function query($query)
    {	 
        if ($this->connected === true)
        {
            $this->last_query = $query;
 
            $result = mysql_query($query) or die(mysql_error());
            $this->queries += 1;
            return $result;
        }
        else
        {
            return false;
        }
    }

    public function clean($qry)
    {
        if(function_exists("mysql_real_escape_string")) 
        { // If PHP version > 4.3.0
            $qry = mysql_real_escape_string($qry); //Use mysql_real_escape_string to quote/clean the sql
        }
        else
        { // If PHP version < 4.3.0
            $qry = addslashes($qry); // Use addlashes to escape any invalid data.
        }

        return $qry; 
    }

    public function footer()
    {
        return "Page generated with ".$this->queries." SQL queries";
    }
}
?>
