<?php
//Simple error handling class, keep errors in one place.

class errorhandler
{
    //TODO: Make this database driver instead of hard-coding it in here?
    public $desc = array(
        "password" => "The two passwords given do not match. Please go back and check your details.",
        "email" => "The two email addresses given do not match. Please press back and check your details.",
        "act_nouser" => "No user tied to that activation code. If you arrived here via the link from an activation email please talk to an op in #ubuland on irc.freenode.net.",
        "user_exists" => "A user with that username already exists. Please go back and change it.",
        "password_len" => "The password given is too short. All passwords need to be at least 6 characters long. Please go back and change it.",
        "username_len" => "The username given is too short. Your username should be at least 2 characters long. Please go back and change it.",
        "email_empty" => "An email address was not given. Please enter a valid email address.",
        
        "not_active" => "This account is not activated. Please follow the link in your activation email to activate your account. If you did not receive an activation email please talk to an operator in #ubuland on irc.freenode.net.",
        "no_user" => "That username does not exist. Please go back and check your details.",
        "pass_wrong" => "The password given was incorrect. Please go back and check your details.",
        "already_in" => "You are already logged into the Ubuland site.",
        "no_key" => "That login key does not exist, you probably are not logged in.",
        "email_not_sent" => "Email could not be sent. Please try again.",
        "invalid_action" => "The action specified is invalid. If you followed a link on ubuland.org to get here please inform the developers using the Contact Us page",
        "message_fail" => "An unspecified error occurred sending the message. If this problem persists, you wrote the code, its you own fault",
        "reg_error" => "There was an error registering your account. Please try again. If this problem persists please contact us via the Contact page. In your message please include the username you were trying to register and your email address.",
        "piwik_create_site" => "There was an error creating your web stats account. Please contact us via the contact page to have it activated.",
        "should_not_happen" => "Ubuland just did something it was not supposed to. Please report this to us, via the contact page. (Include what you where doing at the time)."
    );

    public function error($desc_code, $extra='')
    {
        header( 'Location: ../index.php?page=Error&err='.$this->desc[$desc_code]."&extra=".$extra);
        return True;
    }

}

?>
