#!/usr/bin/env python
# Automatic deletion script for ubuland written by Duncan Eastoe

# import required modules
import os
import glob
import sys
from deletion import *
import time

print "Running auto deletion script..."
user_root = user_root + '/*'
current_date = time.strftime("%m" "%Y", time.localtime(time.time()))
expiration_date = int(current_date)-1 # one year, 2 would be two years etc.
print "Expiration date:", expiration_date
print

for user_dir in glob.glob(user_root):
	print user_dir
	for user_dir in glob.glob(user_dir):
		last_mod = time.strftime("%m" "%Y", time.localtime(os.path.getmtime(user_dir)))
		print "Last modification:", last_mod
		if expiration_date > last_mod:
			user_delete(user_dir)
print
print "Done!"
sys.exit(0)
