--
-- This is the script to setup the messages table in the Ubuland database
-- Author: David Futcher (bobbo) <bobbocanfly@gmail.com>
--
-- This table holds the data for the messaging system, that lets admins send messages
-- to the sidebar when users login.
--
-- PLEASE DO NOT CHANGE BEFORE CONSULTING OTHER DEVS AS CHANGES HERE MAY
-- BREAK VITAL SYSTEMS
--

USE `ubuland`;

CREATE TABLE IF NOT EXISTS `messages` (
  `id` int(32) NOT NULL auto_increment,
  `owner` varchar(32) NOT NULL,
  `subject` varchar(512) NOT NULL,
  `message` varchar(4086) NOT NULL,
  `showto` varchar(32) NOT NULL,
  `active` tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
