--
-- This is the script to setup the users table in the Ubuland database
-- Author: David Futcher (bobbo) <bobbocanfly@gmail.com>
--
-- PLEASE DO NOT CHANGE BEFORE CONSULTING OTHER DEVS AS CHANGES HERE WILL
-- BREAK LOGIN, LOGOUT AND REGISTRATION
--

USE `ubuland`;

CREATE TABLE IF NOT EXISTS `users` (
  `id` int(10) NOT NULL auto_increment,
  `username` varchar(32) NOT NULL,
  `email` varchar(128) NOT NULL,
  `password` varchar(64) NOT NULL,
  `active` tinyint(1) NOT NULL default '0',
  `ip` varchar(15) NOT NULL,
  `actcode` varchar(32) NOT NULL,
  `loginkey` varchar(32) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
