<?php

//backup_proc.php: Lets the backup web frontend communicate with the backend
//THIS MUST BE TESTED WITH THE DESKTOP APP ASWELL AS THE WEB FRONTEND BEFORE
//CHANGES ARE RELEASED


require_once("../includes/backup.class.php");
require_once("../includes/auth.class.php");

//$error = new errorhandler();
$auth = new auth();
$backup = new backup();

$action = $_GET['action'];
$username = $auth->get_username();

//Error checking
if (strlen($username) < 1)
{
    $auth->error->error("no_user");
}


if ($action == "full")
{
    $backup->do_backup($username);
}
elseif ($action == "mysql")
{
    $backup->do_mysql_backup($username);
}
elseif ($action == "restore_full")
{
    $backup->do_restore($username);
}
elseif ($action == "restore_mysql")
{
    $backup->do_mysql_restore($username);
}
else
{
    //Have to use $auth because PHP sucks intensely at OO
    $auth->error->error("invalid_action");
}

?>
