<?php

include("includes/piwik.class.php");

$auth2 = new auth();
$username = $auth2->get_username();

$piwik = new piwik_wrapper();

$counts = array(
    "One day" => $piwik->get_latest_visit_counts($username, "1"),
    "One week" => $piwik->get_latest_visit_counts($username, "7"),
    "One month" => $piwik->get_latest_visit_counts($username, "30") //Ok, it isnt always a month, but fuck it
); 

$countries = $piwik->get_top_countries($username, "30");

?>

<h2>Visits in the last:</h2>
<ul>

<?php

    $shown = false;
    foreach ($counts as $key => $value)
    {
        //If the array is longer than 1, its returning an error
        if (!($value == 0))
        {
            echo "<li>".$key.": ".$value."</li>";
            $shown = true;
        }
    }
    
    //Check if they have all been errors
    if ($shown === false)
    {
        echo "<li>No visits logged to your account</li>";
    }

?>

</ul>

<h2>Visits by country:</h2>
<ul>
<?php
    if (sizeof($countries) > 0)
    {
        foreach ($countries as $key => $value)
        {
            echo "<li>".$value['label'].": ".$value['nb_visits']."</li>";
        }
    }
    else
    {
        echo "<li>No visits logged to your account</li>";
    }
?>
</ul>
