<?php

//Authorization class

require_once("db.class.php");
require_once("error.class.php");

class auth
{

    public $db = null;
    public $error = null;

    public function __construct()
    {
        $this->db = new db();
        $this->error = new errorhandler();
    }

    public function __destruct()
    {
        if ($this->db->isConnected === True)
        {
            $this->db->close();
        }
    }

    //Logs a user into the website
    public function login($username, $password)
    {
        $this->db->connect();

        //Clean data
        $username = $this->db->clean($username);
        $password = $this->db->clean($password);

        //Get users data out of the database
        $query = "SELECT * FROM `ubuland`.`users` WHERE `username` = '".$username."';";
        $result = $this->db->query($query);

        if (mysql_num_rows($result) < 1) 
        {
            $this->error->error("no_user"); exit();
        }

        while($row = mysql_fetch_array($result))
        { 
            $db_pwd = $row['password'];
            $db_active = $row['active'];
            $db_key = $row['loginkey'];
            $db_id = $row['id'];
        }

        // Check if account has been activated
        if ($db_active != 1) 
        {
            $this->error->error("not_active"); exit();
        }

        $md5_pass = md5($password);

        if ($md5_pass != $db_pwd) 
        {
            $this->error->error("pass_wrong"); exit();
        }

        // If we've got to this point, correct details, log them in

        //'Secure' key generation stolen from Linkwalla blog engine, under the MIT license 
        // (http://code.google.com/p/linkwalla/source/browse/trunk/lwFunctions.php)
        $key = "";
	    $possible_characters = "abcdefghijklmnopqrstuvwxyz1234567890ABCDEFGHIJKLMNOPQRSTUVWXYZ";
	    for ($i = 1; $i <= 32; $i++) {
	    	$key .= substr($possible_characters, mt_rand(0,strlen($possible_characters)),1);
	    }

        setCookie("login", $key, time()+60*60*24*30*12, '/'); //Create cookie with randomly generated key 
        
        $query = "UPDATE `ubuland`.`users` SET `loginkey` = '".$key."' WHERE `users`.`id` ='".$db_id."' LIMIT 1 ;";
        $this->db->query($query);

        //Logged in, redirect to succes page
        header( 'Location: ../index.php?page=LoginSuccess' );
    }


    //Logs a user out of the website
    public function logout()
    {
        $this->db->connect();
        
		//Get login key from the cookie
		$key = $_COOKIE['login'];
		$query = "SELECT * FROM `ubuland`.`users` WHERE `loginkey` = '".$this->db->clean($key)."';";
		$result = $this->db->query($query);

		if (mysql_num_rows($result) < 1) 
		{
			// the login key cookie doesn't match with any in the database.
			// (shouldn't happen but we remove the cookie anyway and pretend all was fine)
		}
		else
		{
			while($row = mysql_fetch_array($result))
			{ 
				$db_key = $row['loginkey'];
				$db_id = $row['id'];
			}

			$query = "UPDATE `ubuland`.`users` SET `loginkey` = '0' WHERE `users`.`id` ='".$db_id."' LIMIT 1 ;";
			$this->db->query($query);
		}

        setCookie("login", $db_key, time()-3600, '/');
    }

	//Checks if a user is logged in
	public function authcheck()
	{
		if (!(isset($_COOKIE['login']))) 
		{
			return False; 
		}
		else
		{
			$this->db->connect();

			$key = $this->db->clean($_COOKIE['login']);
			$query = "SELECT * FROM `ubuland`.`users` WHERE `loginkey` = '".$key."';";
			$result = $this->db->query($query);

			if (mysql_num_rows($result) < 1) 
			{
				// No matches in database for auth key
				return False;
			}
			else
			{
				return True;
			}
		}
	}

    //Gets the username tied to a login key
    public function get_username()
    {
        if (isset($_COOKIE['login'])) 
        {
            $this->db->connect();
            
            $key = $this->db->clean($_COOKIE['login']);
            $query = "SELECT * FROM `ubuland`.`users` WHERE `loginkey` = '".$key."';";
            $result = $this->db->query($query);

            if (mysql_num_rows($result) < 1) 
            {
                return False;
            }

            while($row = mysql_fetch_array($result))
            { 
                return $row['username'];
            }
        }
        else
        {
            return False;
        }
    }

    //Checks if a user has admin permissions
    public function is_admin($username)
    {
        $id = $this->get_id_from_username($username);
        $query = "SELECT * FROM `ubuland`.`admins` WHERE `id` = '".$id."' AND `active` = 1";
        $result = $this->db->query($query);

        try
        {
            if (mysql_num_rows($result) < 1) 
            {
                return False;
            }
            else
            {
                return True;
            }
        }
        catch (Exception $e)
        {
            return False;
        }
    }
    
    //Gets a user ID from a username. Returns 0 if it fails
    public function get_id_from_username($username)
    {
        $username = $this->db->clean($username);
        $query = "SELECT `id` FROM `ubuland`.`users` WHERE `username` = '".$username."'";
        $result = $this->db->query($query);        
        
        try
        {
            if (mysql_num_rows($result) < 1) 
            {
                return 0;
            }
            else
            {
                while($row = mysql_fetch_array($result))
                { 
                    return $row['id'];
                }
            }
        }
        catch (Exception $e)
        {
            return 0;
        }
    }
}
